API ReferenceEndpointsApplications
Trigger a new deployment for an app
Authorization
cloady AuthorizationBearer <token>
Personal API token (cldy_…)
In: header
Path Parameters
workspaceSlug*string
appSlug*string
Query Parameters
env?string
Value in
- "production"
- "preview"
- "development"
region?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/apps/string/deploy" \ -H "Content-Type: application/json" \ -d '{}'{ "deploy": { "id": "string", "status": "building", "commitMsg": "string", "sha": "string", "author": "string", "durationMs": 0, "createdAt": "string", "finishedAt": "string", "canRollback": true }}